Packages not to emerge -u

Ask questions regarding Gentoox, Gentoo and Linux in general in these forums and we'll do our best to help you!
Post Reply
User avatar
Schultz
Novice
Posts: 40
Joined: Wed Mar 31, 2004 1:58 am

Packages not to emerge -u

Post by Schultz » Thu Apr 01, 2004 12:47 pm

I tried searching the forums for this and looking through all your patches on your website.. but i was looking for a definite list..
I am just curious of what packages i should not update with emerge -u system or world if i wish to update packages on GentooX

i have already figured not to update the kernal headers or if any kernals are released as they need patched to support the hardware.. Also teh Alsa drivers i think also need patched.. Are there anymore libraries in GentooX that i shouldn't emerge because they need to be patched with some specific stuff for the Xbox?
thanks..

User avatar
nobspangle
Gentoox Guru!
Posts: 1681
Joined: Sun Sep 28, 2003 11:59 am
Location: Manchester, UK

Post by nobspangle » Thu Apr 01, 2004 5:32 pm

because the kernels and alsa are not installed using emerge they shouldn't show up on an emerge -u world
The only thing you can't update is xfree as that needs a special nvidia module, however the next version of xfree probably won't be available through portage anyway so, I think your safe updating everything, just be careful with etc-update, but that goes for all gentoo systems not just gentoox
If you keep an open mind, will your brain fall out?

User avatar
Schultz
Novice
Posts: 40
Joined: Wed Mar 31, 2004 1:58 am

Post by Schultz » Fri Apr 02, 2004 12:28 am

nobspangle wrote:because the kernels and alsa are not installed using emerge they shouldn't show up on an emerge -u world
The only thing you can't update is xfree as that needs a special nvidia module, however the next version of xfree probably won't be available through portage anyway so, I think your safe updating everything, just be careful with etc-update, but that goes for all gentoo systems not just gentoox
I know when i do emerge -u world kernal headers showup and they are wanting to be installed.. i presume some programs require them to be installed so that they can be compiled.. and ok thanks for the info and yea i know about etc-update i always read the diff check to see what is being changed.. never do a blind update all.. I have been using Slackware for quite a few years.. so just new to Gentoo and the requirements for teh Xbox GentooX.. and props go to Shallax for making it so easy..

Post Reply

Who is online

Users browsing this forum: No registered users and 10 guests